# Gimp.Brush.set_angle

    @accepts(Gimp.Brush, float, float)
    @returns(bool)
    def set_angle(self, angle_in, angle_out):
        # Python wrapper for gimp_brush_set_angle()

Sets the rotation angle of a generated brush.

Sets the rotation angle for a generated brush. Sets the angle modulo 180, in the range [-180.0, 180.0]. Returns the clamped value. Returns an error when brush is non-parametric or not editable.

Since 2.4

self

  The brush.

angle_in

  The desired brush rotation angle in degrees.

angle_out

  The brush rotation angle actually assigned.

Returns